aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xgit-clone.sh6
-rwxr-xr-xgit-fetch.sh2
2 files changed, 6 insertions, 2 deletions
diff --git a/git-clone.sh b/git-clone.sh
index 71431319c..18e692a67 100755
--- a/git-clone.sh
+++ b/git-clone.sh
@@ -53,7 +53,11 @@ Perhaps git-update-server-info needs to be run there?"
while read sha1 refname
do
name=`expr "$refname" : 'refs/\(.*\)'` &&
- git-http-fetch -v -a -w "$name" "$name" "$1/" || exit 1
+ case "$name" in
+ *^*) ;;
+ *)
+ git-http-fetch -v -a -w "$name" "$name" "$1/" || exit 1
+ esac
done <"$clone_tmp/refs"
rm -fr "$clone_tmp"
}
diff --git a/git-fetch.sh b/git-fetch.sh
index 0cb1596f5..31b1cf030 100755
--- a/git-fetch.sh
+++ b/git-fetch.sh
@@ -176,7 +176,7 @@ if test "$tags"
then
taglist=$(git-ls-remote --tags "$remote" |
sed -e '
- /\^{}$/d
+ /\^/d
s/^[^ ]* //
s/.*/&:&/')
if test "$#" -gt 1